<?php
/**
 * @author          Tassos Marinos <info@tassos.gr>
 * @link            https://www.tassos.gr
 * @copyright       Copyright © 2024 Tassos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Form\FormHelper;

if (version_compare(JVERSION, 4, '>='))
{
    return;
}

/**
 * Joomla 3 backward compatibility aliases.
 * 
 * TODO: Remove this file when Joomla 3 support is dropped.
 */

$tf_aliases = [
	'Text',
	'GroupedList',
	'List',
	'Hidden',
	'Number',
	'Checkbox',
	'Password',
	'Subform'
];

foreach ($tf_aliases as $name)
{
	if (class_exists('\\Joomla\\CMS\\Form\\Field\\' . $name . 'Field', false))
	{
		continue;
	}

	FormHelper::loadFieldClass(strtolower($name));
	class_alias('JFormField' . $name, '\\Joomla\\CMS\\Form\\Field\\' . $name . 'Field');
}